# fix build (debuginfo package is empty...):
# (we don't build anything, but we're arched b/c we include arched lists)
%define debug_package %{nil}

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

# If you update this package, it's probably better to
# rebuild drakx-installer-stage2 with new IDs so that
# installer can configure newly know HW...
Name:		ldetect-lst
Version:	0.3.7.9
Release:	%mkrel 2
Summary:	Hardware list for the light detection library
URL:		http://gitweb.mageia.org/software/ldetect-lst/
Source0:	%{name}-%{version}.tar.xz
# NO MORE PATCHES ACCEPTED, COMMIT IN GIT INSTEAD
# (tmb) simple for backports
Patch0:		ldetect-lst-0.3.7.9-ldetect-lst-0.5.1.patch
Group:		System/Kernel and hardware
License:	GPLv2+
Requires(post):	perl-base gzip
Requires(preun): perl-base
BuildRequires:	perl-MDK-Common
%if !%{bootstrap}
# for testsuite:
BuildRequires:	drakx-kbd-mouse-x11
# needed to create fallback-modules.alias
BuildRequires:	kernel-desktop-latest
# for list_modules.pm
BuildRequires:	drakxtools-backend >= 10.30
%endif
Conflicts:	ldetect < 0.7.18
Conflicts:	module-init-tools < 3.3-pre11.29
Conflicts:	usbutils < 0.86-2
Conflicts:	pnputils < 0.1-6
Obsoletes:	pciids <= 1:0.7-1.20091201
Provides:	pciids
Provides:	hwdata
# for XFdrake using nvidia-current instead of nvidia-97xx
Conflicts:	drakx-kbd-mouse-x11 < 0.21

%package	devel
Summary:	Devel for ldetect-lst
Group:		Development/Perl
Requires:	ldetect-lst = %{version}

%description
The hardware device lists provided by this package are used as lookup 
table to get hardware autodetection.

%description	devel
This package provides merge2pcitable, a tool that enables to merge in hardware
databases new entries pacakged in eg /usr/share/ldetect-lst/pcitable.d.

%prep
%setup -q
# NO MORE PATCHES ACCEPTED, COMMIT IN GIT INSTEAD
%patch0 -p1

%build
%if %{bootstrap}
pushd lst
touch hardcoded-modules.alias fallback-modules.alias preferred-modules.alias
popd
%endif

%make

%check
%if !%{bootstrap}
make check
%endif

%install
%makeinstall slibdir=$RPM_BUILD_ROOT/lib

# trigger is needed to upgrade from a package having
# /usr/share/ldetect-lst/pcitable in the package to the new scheme
%triggerpostun -- %{name}
if [ -x /usr/sbin/update-ldetect-lst ]; then
  /usr/sbin/update-ldetect-lst
fi

%preun -p "/usr/sbin/update-ldetect-lst --clean"

%post -p /usr/sbin/update-ldetect-lst

%files
%doc AUTHORS 
%{_datadir}/usb.ids
%{_datadir}/oui.txt
%{_datadir}/pci.ids
%{_datadir}/misc/pnp.ids
%{_datadir}/%{name}
%{_sbindir}/*
/lib/module-init-tools/ldetect-lst-modules.alias

%files devel
%doc convert/README.pcitable
%{_bindir}/*


%changelog
* Sat Oct 06 2018 tmb <tmb> 0.3.7.9-2.mga6
+ Revision: 1318257
- sync needed bits from ldetect-lst-0.5.1
- copy for adding RTX 20xx ids
- update ids from nvidia-current 390.59
- update pci.ids and usb.ids
- update ids from nvidia-current 390.48
- update pci.ids and usb.ids
- update ids from nvidia-current 390.42
- update pci.ids and usb.ids
- update gpu ids from kernel 4.14
- update pci.ids and usb.ids
- update ids from nvidia-current 384.111
- add missing ids from nvidia-current 384.98
- update pci.ids and usb.ids
- update ids from nvidia-current 384.98
- update pci.ids
- update ids from nvidia-current 384.90
- update pci.ids and usb.ids
- update ids from nvidia-current 384.59
- update pci.ids and usb.ids

* Sun Jun 04 2017 tmb <tmb> 0.3.7-1.mga6
+ Revision: 1106739
- update pci.ids

* Fri May 05 2017 tmb <tmb> 0.3.6-1.mga6
+ Revision: 1099155
- update ids from nvidia-current 375.66
- add one missing polaris12 id
- fix one polaris12 id typo
- update pci.ids

* Sun Mar 05 2017 tmb <tmb> 0.3.5-1.mga6
+ Revision: 1088837
- add amdgpu polaris12 ids
- update pci.ids

* Sun Feb 19 2017 tmb <tmb> 0.3.4-1.mga6
+ Revision: 1086835
- update ids from nvidia-current 375.39
- update pci.ids and usb.ids

* Wed Dec 14 2016 tmb <tmb> 0.3.3-1.mga6
+ Revision: 1075139
- enable nvidia340 again (xorg 1.19 supported as of 340.101)
- enable nvidia304 again (xorg 1.19 supported as of 304.134)
- update usb.ids

* Sun Nov 27 2016 tv <tv> 0.3.2-1.mga6
+ Revision: 1070392
- do not try to install nvidia3xx (doesn't support xserver 1.19)

* Thu Nov 24 2016 tv <tv> 0.3.1-1.mga6
+ Revision: 1069690
- switch VirtualBox from vboxvideo to modesetting

* Tue Nov 22 2016 tmb <tmb> 0.3.0-1.mga6
+ Revision: 1068738
- update nVidia ids from nvidia-current 375.20
- update pci.ids and usb.ids

* Sun Oct 02 2016 tmb <tmb> 0.2.9-1.mga6
+ Revision: 1058141
- update nVidia ids from nvidia-current 367.44
- enable earlier missed nVidia Pascal (GTX 10xx) hw
- update pci.ids and usb.ids

* Tue Jul 05 2016 tmb <tmb> 0.2.8-1.mga6
+ Revision: 1038968
- update Intel ids from kernel 4.7-rc6
- update amdgpu ids from kernel 4.7-rc6
- update radeon ids from kernel 4.7-rc6
- update pci.ids and usb.ids

* Mon Jun 20 2016 tv <tv> 0.2.7-1.mga6
+ Revision: 1036869
- detect Virtio GPU

* Sat Jun 18 2016 tv <tv> 0.2.6-1.mga6
+ Revision: 1022074
- fix driver for a broadcom card (mga#15618)

* Tue Jun 14 2016 tmb <tmb> 0.2.5-1.mga6
+ Revision: 1021487
- update pci ids from nvidia-current 367.27
- update pci.ids

* Mon May 30 2016 tmb <tmb> 0.2.4-1.mga6
+ Revision: 1019478
- update pci ids from nvidia-current-361.45.11
- update pci.ids

* Sat Apr 30 2016 tmb <tmb> 0.2.3-1.mga6
+ Revision: 1008350
- use nvidia304 for NVIDIA GeForce 8200M G (id 0x0845) (mga#18206)
- update pci ids from nvidia-current-361.42-1.mga6
- update pci.ids and usb.ids

* Thu Jan 28 2016 tmb <tmb> 0.2.2-1.mga6
+ Revision: 928331
- update ids from nvidia-current-352.79-1.mga6
- update pci.ids

* Sat Jan 09 2016 tmb <tmb> 0.2.1-1.mga6
+ Revision: 920774
- update intel i915 ids from kernel-4.4.0-0.rc8.2.mga6
- update pci.ids and usb.ids
+ blino <blino>
- update project URL

* Thu Dec 31 2015 blino <blino> 0.2.0-2.mga6
+ Revision: 917083
- buildrequire kernel-desktop instead of deprecated kirkwood flavor on ARM

* Tue Dec 01 2015 tv <tv> 0.2.0-1.mga6
+ Revision: 907526
- use amdgpu for newer ATI/AMD cards

* Wed Nov 18 2015 tmb <tmb> 0.1.349-1.mga6
+ Revision: 904034
- re-enable nvidia drivers
- sync ids with nvidia-current 352.63
- update pci.ids

* Fri Nov 13 2015 tv <tv> 0.1.348-1.mga6
+ Revision: 903019
- disable fglrx & nvidia
  (do not work with xserver-1.18)

* Sun Oct 04 2015 tmb <tmb> 0.1.347-3.mga6
+ Revision: 886202
- second test pci/usb.ids unpacking

* Sun Oct 04 2015 tmb <tmb> 0.1.347-2.mga6
+ Revision: 886198
- test pci/usb.ids unpacking

* Sun Oct 04 2015 tmb <tmb> 0.1.347-1.mga6
+ Revision: 886186
- update pci.ids and usb.ids
- add new ids from nvidia-current-352.41-1.mga6

* Tue Sep 29 2015 tv <tv> 0.1.346-2.mga6
+ Revision: 885007
- disable debuginfo

* Thu Jul 09 2015 tmb <tmb> 0.1.346-1.mga6
+ Revision: 853095
- update pci.ids and usb.ids
- add new ids from fglrx-15.200.1046-1.mga6

* Sun Jun 21 2015 tmb <tmb> 0.1.345-1.mga6
+ Revision: 837825
- update pci.ids and usb.ids
- add new ids from nvidia-current-352.21-1.mga6

* Fri May 22 2015 tmb <tmb> 0.1.344-1.mga5
+ Revision: 822642
- use wl driver for BCM4312 (mga#13099)
- update pci.ids and usb.ids

* Sun Apr 12 2015 tmb <tmb> 0.1.343-1.mga5
+ Revision: 820091
- update pci.ids and usb.ids
- add new ids from nvidia-current-346.59-1.mga5

* Fri Apr 03 2015 tv <tv> 0.1.342-1.mga5
+ Revision: 819670
- use modesetting driver instead of cirrus (#10263)

* Wed Mar 25 2015 ennael <ennael> 0.1.341-1.mga5
+ Revision: 819297
- Use modesetting instead of mga driver for Matrox graphic cards (mga#15568)

* Sat Mar 14 2015 tmb <tmb> 0.1.340-1.mga5
+ Revision: 818519
- update pci.ids and usb.ids
- use wl driver for BCM43228 (mga#13976)

* Fri Feb 27 2015 tmb <tmb> 0.1.339-1.mga5
+ Revision: 817138
- update ids from nvidia proprietary driver 346.47

* Sat Feb 21 2015 tmb <tmb> 0.1.338-1.mga5
+ Revision: 816299
- update pci.ids and usb.ids
- sync intel gpu ids with kernel 3.19

* Mon Jan 26 2015 tmb <tmb> 0.1.337-1.mga5
+ Revision: 812257
- add GeForce FX series pci ids back (they are supported
  by the nouveau driver)
- merge2pcitable.pl: add support for nvidia driver 346+
- update ids from nvidia proprietary driver 346.35
- reassign GeForce 8100 through 415 to the newly branched
  nvidia proprietary legacy driver nvidia340

* Sun Dec 14 2014 tmb <tmb> 0.1.336-1.mga5
+ Revision: 803084
- update pci.ids and usb.ids
- update ids from x11-driver-video-ati-7.5.0-2.mga5
- update ids from fglrx-14.501.1003-1.mga5.nonfree
- update ids from nvidia-current-340.65-1.mga5.nonfree

* Wed Oct 15 2014 umeabot <umeabot> 0.1.335-3.mga5
+ Revision: 750364
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.335-2.mga5
+ Revision: 681290
- Mageia 5 Mass Rebuild

* Fri Aug 29 2014 tmb <tmb> 0.1.335-1.mga5
+ Revision: 669320
- nvidia173 (aka Geforce FX series) is EOL upstream, wont
  support x.org server 1.16, switch to nouveau
- update ids from nvidia-current-340.32-1.mga5
- update pci.ids and usb.ids

* Thu May 29 2014 tmb <tmb> 0.1.334-1.mga5
+ Revision: 627766
- update pci.ids and usb.ids
- sync nvidia ids with nvidia-current 331.79
- sync fglrx ids with fglrx-14.010.1006

* Sat Feb 22 2014 tmb <tmb> 0.1.333-1.mga5
+ Revision: 595586
- sync nvidia ids with nvidia-current 331.49

* Mon Jan 27 2014 tmb <tmb> 0.1.332-1.mga4
+ Revision: 568445
- add 2 missing intel gpu ids (0x041e and 0x0f32)

* Thu Jan 16 2014 tmb <tmb> 0.1.331-1.mga4
+ Revision: 566724
- sync nvidia ids with nvidia-current 325.15
- sync radeon ids with x11-driver-video-ati-7.2.0-9
- sync i915 ids with kernel 3.12.7
- update pci.ids & usb.ids

* Sat Oct 19 2013 umeabot <umeabot> 0.1.330-2.mga4
+ Revision: 531161
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 tmb <tmb> 0.1.330-1.mga4
+ Revision: 462386
- update pcitable from proprietary fglrx 13.200.5
- update pci.ids to 2013-07-26

* Thu Jul 11 2013 tmb <tmb> 0.1.329-1.mga4
+ Revision: 452873
- update pci.ids & usb.ids

* Fri Jun 28 2013 tmb <tmb> 0.1.328-1.mga4
+ Revision: 447872
- pcitable:
  o update device ids from proprietary nvidia-current 319.32
  o update device ids from proprietary fglrx 13.101

* Fri May 03 2013 anssi <anssi> 0.1.327-1.mga3
+ Revision: 412173
- pcitable:
   o add missing NVIDIA Tesla/VGX device ids
   o update device ids from proprietary nvidia-current 319.17
   o fix some incorrect NVIDIA card classifications (cosmetic)

* Thu May 02 2013 tmb <tmb> 0.1.326-1.mga3
+ Revision: 411988
- pcitable:
   o drop hardcoding of free broadcom wireless drivers done in
     0.1.321, as it does not work as intended.

* Sun Apr 28 2013 tmb <tmb> 0.1.325-1.mga3
+ Revision: 411539
- Cards+
  o enable sis acceleration again as driver is now fixed

* Sat Apr 27 2013 tmb <tmb> 0.1.324-1.mga3
+ Revision: 411338
- pcitable:
  o update device ids from x11-driver-video-ati-7.1.0-4.mga3

* Thu Apr 25 2013 tmb <tmb> 0.1.323-1.mga3
+ Revision: 411133
- pcitable:
  o update device ids from x11-driver-video-ati-7.1.0-3.mga3
  o update device ids from i915 in kernel-3.8.8-3.mga3

* Wed Apr 24 2013 tmb <tmb> 0.1.322-1.mga3
+ Revision: 411122
- update device ids from proprietary fglrx-12.104-1.mga3

* Wed Apr 24 2013 tmb <tmb> 0.1.321-1.mga3
+ Revision: 411069
- map free drivers for broadcom wireless hw:
  * b43legacy
    0x4301 / BCM4301
    0x4306 / BCM4306/2
    0x4325 / BCM4306/2
  * b43
    0x4307 / BCM4306/3
    0x4311 / BCM4311
    0x4312 / BCM4311
    0x4315 / BCM4312
    0x4318 / BCM4318
    0x4319 / BCM4318
    0x4320 / BCM4320
    0x4321 / BCM4321
    0x4322 / BCM4322
    0x4324 / BCM4309
    0x4328 / BCM4321
    0x4329 / BCM4321
    0x432b / BCM4322
    0x432c / BCM4322
    0x4331 / BCM4331
    0x4350 / BCM43222
    0xa8d6 / BCM43222
    0xa8d8 / BCM43224/5
  * brcmfmac
    0x4330 / BCM4330
    0x4334 / BCM4334
    0xbd17 / BCM43236
    0xbd1e / BCM43143
    0xbd1f / BCM43242
  * brcmsmac
    0x0576 / BCM43224
    0x4353 / BCM43224
    0x4357 / BCM43225
    0x4727 / BCM4313

* Sat Apr 13 2013 tmb <tmb> 0.1.320-1.mga3
+ Revision: 409999
- nuke ancient dkms-modules-info/*
- map broadcom-wl driver for hw with no free alternative:
  * 0x4313 / BCM4311
  * 0x432a / BCM4321
  * 0x432d / BCM4322
  * 0x435a / BCM43228
  * 0xa99d / BCM43421

* Wed Apr 10 2013 tv <tv> 0.1.319-1.mga3
+ Revision: 409381
- use "modesetting" for "Poulsbo US15W(GMA500)" (mga#8258)

* Thu Mar 28 2013 tv <tv> 0.1.318-1.mga3
+ Revision: 406042
- dabusb & ultracam no more exist
- some modules were replaced:
  o cpia-usb, ibmcam, konicawc, ov511, stv680 & w9968cf => gspca*
  o radio-maestro => snd_es1968
  o touchkitusb => usbtouchscreen

* Thu Mar 28 2013 tv <tv> 0.1.317-1.mga3
+ Revision: 405951
- at76_usb was replaced by at76c50x-usb
- kill "hci_usb" entries (mga#5841)
  (removed from kernel in 2008, breaks bluetooth detection)

* Fri Mar 22 2013 tv <tv> 0.1.315-1.mga3
+ Revision: 404552
- disable acceleration on SiS as it crashes (mga#7521)
- pcitable:
  o update ids from proprietary nvidia-current 310.40
- update pci.ids & usb.ids

* Sat Jan 12 2013 umeabot <umeabot> 0.1.314-2.mga3
+ Revision: 356738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 tmb <tmb> 0.1.314-1.mga3
+ Revision: 344843
- pcitable
   o drop all broadcom-wl ids from database to be able to
     configure and test free drivers through drakx tools

* Sun Jan 06 2013 tv <tv> 0.1.313-1.mga3
+ Revision: 340104
- update pci.ids & usb.ids

* Thu Dec 06 2012 tv <tv> 0.1.312-1.mga3
+ Revision: 327164
- fix driver for some r128 cards (mga#7867)

* Wed Nov 21 2012 anssi <anssi> 0.1.311-1.mga3
+ Revision: 320393
- new version 0.1.311
  o switch DRIVER2 for GeForce 7xxx and GeForce 8xxx cards to the
    newly added 304.xx series proprietary driver as support is
    dropped from nvidia-current

* Wed Oct 31 2012 tmb <tmb> 0.1.310-1.mga3
+ Revision: 311775
- Cards+
  o enable nvidia173 driver again as it supports x11-server 1.13
- pcitable
  o add new ids from fglrx-9.010
+ tv <tv>
- advertize to rebuild installer stage2

* Sun Sep 30 2012 tmb <tmb> 0.1.309-1.mga3
+ Revision: 300741
- add new ids from nvidia-current-304.51

* Fri Sep 14 2012 tmb <tmb> 0.1.308-1.mga3
+ Revision: 293933
- pcitable
  o add new ids from nvidia-current-304.43
  o add new ids from fglrx-9.00

* Fri Sep 07 2012 tv <tv> 0.1.307-1.mga3
+ Revision: 289341
- remove "wl" driver for 0x14e4:0x4727 (mga#6122)
- remove two other "wl" references

* Sun Aug 19 2012 tmb <tmb> 0.1.306-1.mga3
+ Revision: 282107
- pcitable
  o update ids from x11-driver-video-ati-6.14.6
  o update ids from nvidia-current-304.37
- Monitor DB
  o add Samsung SMS19A100

* Mon Jul 02 2012 tmb <tmb> 0.1.305-1.mga3
+ Revision: 266557
- update ids from the proprietary nvidia-current-295.59

* Wed Jun 06 2012 tmb <tmb> 0.1.304-1.mga3
+ Revision: 256574
- update AMD/ATI Cards+ entries from the proprietary driver
  o HD 4000 and below are no longer supported by it, so the free driver
    is now always used for those

* Sun May 13 2012 tmb <tmb> 0.1.303-1.mga2
+ Revision: 235539
- add another intel id from kernel-3.3.6
- add new NVIDIA ids from the proprietary nvidia-current-295.49
- Monitor DB
  o add SyncMaster XL2370 (mga#5315)

* Wed May 02 2012 tv <tv> 0.1.302-1.mga2
+ Revision: 234477
- drop DKMS data about r8192se_pci & rt3090sta* (mga#5681)

* Sat Apr 28 2012 tv <tv> 0.1.301-1.mga2
+ Revision: 234082
- use fbdev for "Poulsbo US15W(GMA500)" (mga#5633)

* Thu Apr 05 2012 anssi <anssi> 0.1.300-1.mga2
+ Revision: 228611
- version 0.1.300:
- disable nvidia96xx as third driver when nvidia cannot be used due to
  missing SSE support
- refuse to set up nvidia if SSE support is not available
- Monitor DB
  o add BENQ G2320HDB (mga#397)
- add new AMD ids from the proprietary and free drivers
- add new NVIDIA ids from the proprietary driver
- restructure AMD/ATI Cards+ entries for HD 2000 and newer
  o separate those that support usermode modesetting
  o add the necessary FIRMWARE and DRIVER_NO_FIRMWARE entries as per
    mga bug #3466
  o do not assign anything to the old unmaintained radeonhd driver
- switch NVIDIA NVD9/GF119 cards from vesa to nouveau

* Sat Dec 10 2011 tv <tv> 0.1.299-1.mga2
+ Revision: 180053
- Monitor DB
  o sync with latest Fedora

* Sat Dec 10 2011 tv <tv> 0.1.298-1.mga2
+ Revision: 180036
- update pci.ids & usb.ids (mga#3677)

* Fri Dec 02 2011 anssi <anssi> 0.1.297-1.mga2
+ Revision: 175262
- 0.1.297
  o add new ATI ids from the free and proprietary drivers
  o add new NVIDIA ids from the proprietary driver
  o add new Intel ids from the i915 driver
  o disable nvidia173 and nvidia96xx as they do not support X.org server
    1.11
  o switch NVIDIA Fermi (400/500 series) from vesa to nouveau driver
    except for some PMC.ID 0xd9 cards (GF410/510/520 and Quadro 4200M)
    that will only get support in kernel 3.2

* Sun Nov 27 2011 tv <tv> 0.1.296-1.1.mga2
+ Revision: 173203
- add nvidia 0x0df4 (mga#3499)
- add Samsung SyncMaster 933SN (mga#1658)

* Wed Nov 23 2011 blino <blino> 0.1.295-1.1.mga2
+ Revision: 171495
- 0.1.295
- drop merged "fix for mga #933 must filter on subvendor/subdevice" patch
- 0.1.294
- move back ldetect-lst-modules.alias in /lib/module-init-tools/,
  it needs to be parsed in its own group, so that modprobe.d/*.conf
  files are preferred over i

* Mon Nov 21 2011 tv <tv> 0.1.293-1.1.mga2
+ Revision: 170566
- add support for virtual gfx card
- drop obsolete pcitable.ia64 (either redundant or invalid)
- reenable nvidia96xx (support for x.org server 1.10 was added with 96.43.20)
- move preferred aliases list back to /etc/modprobe.d
  (still read before kernel ones)

* Mon Oct 17 2011 tmb <tmb> 0.1.292-2.1.mga2
+ Revision: 155639
- fix for mga #933 must filter on subvendor/subdevice in order to fix mga #1525
+ dmorgan <dmorgan>
- Fix project URL
+ tv <tv>
- add new ATI ids from the free and proprietary drivers
- add support for all new Intel Sandy Bridge graphics devices (mga#1401)
- add support for QXL virtual video card
- add support for wl driver (#2266)
- disable nvidia96xx (not compatible with x.org server 1.10)
- prefer amd74xx module for nForce MCP51 IDE (mga#933ch mdv49957)
- switch 1002:9610 back to ati driver (mga #1267)
- make the names of the last two Cards using radeonhd/fglrx more specific
- make 'MAX' in pnp.ids point to Maxdata (for some Belinea monitors)

* Mon Jul 18 2011 cjw <cjw> 0.1.291-10.mga2
+ Revision: 126023
- patch4: fix company name for monitors from MaxData in gnome control center

* Tue May 24 2011 tv <tv> 0.1.291-9.mga1
+ Revision: 100340
- add support for all new Intel Sandy Bridge graphics devices (mga#1401)

* Tue May 24 2011 ahmad <ahmad> 0.1.291-8.mga1
+ Revision: 100282
- Add support for Intel graphics device 0126, Sandy Bridge Integrated Graphics
  Controller (mga#1401)

* Sun May 15 2011 pterjan <pterjan> 0.1.291-7.mga1
+ Revision: 98946
- Rebuild for fixed find-requires

* Tue May 03 2011 tmb <tmb> 0.1.291-6.mga1
+ Revision: 94520
- prefer amd74xx module for nForce MCP51 IDE (#933)

* Thu Apr 21 2011 rtp <rtp> 0.1.291-5.mga1
+ Revision: 89408
- Fix kernel BuildRequire on arm as there's no kernel-desktop-latest.

* Wed Apr 20 2011 ahmad <ahmad> 0.1.291-4.mga1
+ Revision: 88873
- Re-enable nvidia173 driver, it should work now with X server 1.10

* Sun Apr 17 2011 anssi <anssi> 0.1.291-3.mga1
+ Revision: 87426
- disable proprietary nvidia96xx and nvidia173 for now (they are not
  compatible with X.org server 1.10 yet)

* Sat Apr 09 2011 tv <tv> 0.1.291-2.mga1
+ Revision: 82671
- patch 0: add suppor for QXL driver for virtualization

* Sat Apr 02 2011 tmb <tmb> 0.1.291-1.mga1
+ Revision: 79850
- fix BR on kernel
- sync with mdv 0.1.291 for new ati and nvidia ids

* Sat Jan 22 2011 erwan <erwan> 0.1.290-1.mga1
+ Revision: 30737
- imported package ldetect-lst

